Go

Fix GVM “ERROR: Failed to compile” Once Installing Latest GO Version

I’m installing GVM for learning GO on my machine. For installation is pretty clear by following to their documentation.
But I got problem once installing latest version of GO (Currently v.1.6) , here is error message from the GVM logs.

ERROR: Cannot find /home/xxxxx/go1.4/bin/go.
Set $GOROOT_BOOTSTRAP to a working Go tree >= Go 1.4.

To fix this you need to install GO v1.4 first after that you can install the latest version. You can follow step below to install.

$ gvm install go1.4
$ gvm use go1.4
$ export GOROOT_BOOTSTRAP=$GOROOT
$ gvm install go1.6
$ gvm use go1.6

Now your GO successfully installed and happy coding. 😀

Reference: https://github.com/moovweb/gvm/issues/155